Mind Chasers Inc.
Mind Chasers Inc.

Note: Forum is in alpha testing. Please email us with any problems or issues you encounter. Thank you!

Lattice Diamond 3.12 Modelsim can't find ECP5U simulation libraries

Feb 05, 2021 asked by anonymous
share
subscribe to mailing list:

Question / Issue:

When I try to start a simulation, Modelsim reports it can't find the Lattice ECP5U primitives like GSR. What do I need to do?
Creating the United States

Responses:

Date: Feb. 6, 2021

Author: Mind Chasers

Comment:

In the Start Simulation Modal, select the Libraries tab. Then select the Add... button and choose the ecp5u option in the drop down (see attached pic). This assumes you used the Lattice Simulation wizard when you created your project. Also, this also assumes you can see the ecp5u library among other primitive libraries loaded in the Library pane. This can also accomplished on the command line: vsim -gui work.tb -L ecp5u

Post your answer or comment:

your email address will be kept private
authenticate with a 3rd party for enhanced features, such as image upload
previous month
next month
Su
Mo
Tu
Wd
Th
Fr
Sa
loading